com.mapinfo.midev.coordsys

## Class CoordSys

- java.lang.Object
- - com.mapinfo.midev.coordsys.CoordSys

All Implemented Interfaces:
  Serializable

    public abstract class CoordSys
    extends Object
    implements Serializable

A base class for coordinate systems that contain all of the information necessary to perform coordinate transforms.

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`CoordTransform` `createCoordTransform(CoordSys destCoordSys)` Create a new transform from this coordinate system to the specified coordinate system.
`boolean` `equivalent(CoordSys coordSys)` Determine whether or not two coordinate systems are equivalent mathematically.
`AffineTransform` `getAffineTransform()` Get the affine transform for the coordinate system.
`CodeSet` `getCodes()` Get the codes for this coordinate system.
`String` `getDisplayName(Locale locale)` Get the display name for this coordinate system.
`abstract DoubleRect` `getMBR()` Get the minimum bounding rectangle of this coordinate system.
`abstract CoordSysType` `getType()` Get the type of this coordinate system.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getType

    public abstract CoordSysType getType()

Get the type of this coordinate system.

Returns:
  The type of this coordinate system.

#### getDisplayName

    public String getDisplayName(Locale locale)

Get the display name for this coordinate system.

Parameters:
  `locale` - The locale of the display name to retrieve.
Returns:
  The display name for this coordinate system. May be null.

#### getCodes

    public CodeSet getCodes()

Get the codes for this coordinate system.

Returns:
  The codes for this coordinate system.

#### getAffineTransform

    public AffineTransform getAffineTransform()

Get the affine transform for the coordinate system.

Returns:
  The affine transform for the coordinate system.

#### getMBR

    public abstract DoubleRect getMBR()

Get the minimum bounding rectangle of this coordinate system. The unit of measure is that of the coordinate system.

Returns:
  The minimum bounding rectangle of this coordinate system.

#### equivalent

    public boolean equivalent(CoordSys coordSys)

Determine whether or not two coordinate systems are equivalent mathematically. tTwo coordinate systems may have different names or identifiers but be mathematically equivalent.

Returns:
  `true` if the two coordinate systems are mathematically equivalent.

#### createCoordTransform

    public CoordTransform createCoordTransform(CoordSys destCoordSys)

Create a new transform from this coordinate system to the specified coordinate system.